%define anolis_release 1
# Run tests in check section
# disable for bootstrapping
%bcond_with check
%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

%global provider        github
%global provider_tld    com
%global project         linuxdeepin
%global repo            go-x11-client

%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           go-x11-client
Version:        0.6.9
Release:        1.01.%{anolis_release}%{?dist}
Summary:        A X11 client Go bindings for Deepin Desktop Environment
License:        GPLv3
URL:            https://github.com/linuxdeepin/go-x11-client
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  compiler(go-compiler)

%description
%{summary}.

%package devel
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  gocode
Obsoletes:      golang-github-linuxdeepin-go-x11-client-devel < %{version}-%{release}
Provides:       golang-github-linuxdeepin-go-x11-client-devel = %{version}-%{release}


%description devel
%{summary}.


%prep
%forgeautosetup

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for file in $(find . -iname "*.go") ; do
    install -d -p %{buildroot}/%{gopath}/src/%{import_path}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{import_path}/$file
    echo "%%{gopath}/src/%%{import_path}/$file" >> devel.file-list
done

%files devel -f devel.file-list
%doc README
%license LICENSE

%changelog
* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 0.6.9-1.01.1
- Specification spec file

* Tue Dec 27 2022 liweiganga <liweiganga@uniontech.com> - 0.6.9-1.01
- chore: add Provides and Obsoletes

* Tue Dec 27 2022 liweiganga <liweiganga@uniontech.com> - 0.6.9-1
- update: update to 0.6.9

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 0.6.7-2.01
- update: update to 0.6.7-2.01
